//+------------------------------------------------------------------+
//|                                                      TF_High.mq4 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue

double Buffer[];


extern string I = "TF_M1";
extern string II = "MA_1";
extern int period_1 = 3;
//===================================
extern string I_M5 = "TF_M5";
extern string II_M5 = "MA_1";
extern int period_1_M5 = 3;
//===================================
extern string I_M15 = "TF_M15";
extern string II_M15 = "MA_1";
extern int period_1_M15 = 3;
//===================================
extern string I_M30 = "TF_M30";
extern string II_M30 = "MA_1";
extern int period_1_M30 = 3;
//===================================
extern string I_H1 = "TF_H1";
extern string II_H1 = "MA_1";
extern int period_1_H1 = 3;
//===================================
extern string I_H4 = "TF_H4";
extern string II_H4 = "MA_1";
extern int period_1_H4 = 3;
//===================================
extern string I_D1 = "TF_D1";
extern string II_D1 = "MA_1";
extern int period_1_D1 = 3;
//===================================
extern string I_W1 = "TF_W1";
extern string II_W1 = "MA_1";
extern int period_1_W1 = 3;
//===================================






//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Buffer);
   IndicatorDigits(5);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
          double dAverPrice_M1 = iMA(Symbol(),1,period_1, 0, 0, 2, 0);
                                    
                                   
          double dAverPrice_M5 = iMA(Symbol(),5,period_1_M5, 0, 0, 2, 0);
                                   
                                   
          double dAverPrice_M15 = iMA(Symbol(),15,period_1_M15, 0, 0, 2, 0);
                                  
                                                                                       
          double dAverPrice_M30 =iMA(Symbol(),30,period_1_M30, 0, 0, 2, 0);
                                   
                                   
          double dAverPrice_H1 = iMA(Symbol(),60,period_1_H1, 0, 0, 2, 0);
                                  
                                   
          double dAverPrice_H4 = iMA(Symbol(),PERIOD_H4,period_1_H4, 0, 0, 2, 0);
          
          
          double dAverPrice_D1 = iMA(Symbol(),PERIOD_D1,period_1_D1, 0, 0, 2, 0);
          
          
          double dAverPrice_W1 = iMA(Symbol(),PERIOD_W1,period_1_W1, 0, 0, 2, 0);
          
          
          
          
          
                                   
                                    
          
          
         
          double dTotalAver = (dAverPrice_M1+dAverPrice_M5+dAverPrice_M15+dAverPrice_M30+dAverPrice_H1+dAverPrice_H4+dAverPrice_D1+dAverPrice_W1)/8;   
                                
            Buffer[0] = dTotalAver;                                                                                                                                                                            
                                   
//----
   return(0);
  }
//+------------------------------------------------------------------+